#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

void solve() {
    int n;
    cin>>n;
    vector<ll> a(n);
    for (auto& el : a) {
        cin>>el;
    }
    sort(a.begin(), a.end());
    while (true) {
        // for (auto& el : a) {
        //     cout << el << " ";
        // }
        // cout << endl;
        bool cn = true;
        for (int i = 1; i < n - 1; i++) {
            if (a[i - 1] + a[i + 1] < 2 * a[i]) {
                cn = false;
                break;
            }
        }
        if (cn) {
            cout << "YES" << endl;
            return;
        }
        if (!next_permutation(a.begin(), a.end())) {
            break;
        }
    }
    cout << "NO" << endl;
    return;
}

int main() {
    // freopen("input.txt", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin>>t;
    while (t) {
        solve();
        t--;
    }
}
